Bug 472529 - mod_mono cannot write into /var/run
mod_mono cannot write into /var/run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mod_mono (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 10:28 EST by Dario Lesca
Modified: 2009-01-15 21:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-25 08:35:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to error (1.86 KB, application/x-gzip)
2008-11-21 10:28 EST, Dario Lesca
no flags Details

  None (edit)
Description Dario Lesca 2008-11-21 10:28:01 EST
Created attachment 324312 [details]
patch to error

Description of problem:
When the module start cannot write lock file into /var/run

Version-Release number of selected component (if applicable):
mod_mono-2.0-6

How reproducible:
Install and restart apache and see the /var/log/httpd/error_log: this message appaire:
 [Fri Nov 21 16:02:11 2008] [crit] (13)Permission denied: Failed to create shared memory segment for backend 'XXGLOBAL' at '/var/run/mod_mono_dashboard_XXGLOBAL_1'.


Steps to Reproduce:
1. install mod_mono
2. start apache
3. see log
  
Actual results:


Expected results:

Additional info:
I have produce the patch attached below:
Comment 1 Paul F. Johnson 2008-11-25 08:35:25 EST
Thanks - I've incorporated this in 2.2-1.pre1 (rawhide) and will do the same to 2.0.1 as soon as f10 reopens.
Comment 2 Vilius Šumskas 2008-12-01 05:03:52 EST
Are F10 open yet? I need this fix badly.
Comment 3 Dario Lesca 2008-12-01 09:08:45 EST
# yum --enablerepo rawhide install mod_mono

Hope this help.
d.l.
Comment 4 Vilius Šumskas 2009-01-15 21:28:05 EST
I think someone forgot to commit this to f10 :)

Note You need to log in before you can comment on or make changes to this bug.